package main

import (
	"git.tek.govt.hu/dowerx/place/api"
	"git.tek.govt.hu/dowerx/place/auth"
	"git.tek.govt.hu/dowerx/place/config"
	"git.tek.govt.hu/dowerx/place/storage"
)

func main() {
	conf := config.GetConfig()

	storage.Load(conf.StoragePath, conf.CanvasSize, conf.TileSize)
	defer storage.Save()

	storage.StartSaves(conf.SaveFrequency)

	auth.Connect(&conf.Redis)
	defer auth.Close()

	api.Listen(conf.Address, conf.StaticPath)
}
